#include "sys.h"
#include "debug.h"

int main(void)
{
  Debug( libcw_do.on() );
  Debug( dc::malloc.on() );
  Debug( dc::notice.on() );

  void* p = malloc(3000);
  
  Debug( make_invisible(p) );
  Debug( list_allocations_on(libcw_do) );

  Dout(dc::notice, "test_delete(" << p << ") = " << test_delete(p));
  free(p);
  Dout(dc::notice, "test_delete(" << p << ") = " << test_delete(p));

  return 0;
}
